## org.codehaus.groovy.grails.plugins
Class IdentityPluginFilter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.IdentityPluginFilter

All Implemented Interfaces:
  PluginFilter

    public class IdentityPluginFilter

extends Object
implements PluginFilter

No-op implementation of `PluginFilter`

Author:
  Phil Zoio

Constructor Summary
`IdentityPluginFilter()`

Method Summary
`List` `filterPluginList(List original)` Simply returns original list reference

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityPluginFilter

    public IdentityPluginFilter()

Method Detail

### filterPluginList

    public List filterPluginList(List original)

  Simply returns original list reference

  Specified by:
    `filterPluginList` in interface `PluginFilter`
  Parameters:
    `original` - the original supplied set of `GrailsPlugin` instances
  Returns:
    a sublist of these items

Copyright (c) 2005-2009 The Grails project